org.pcollections

## Interface PMap<K,V>

Type Parameters:
  `K` -
  `V` -

All Superinterfaces:
  Map<K,V>

All Known Implementing Classes:
  HashPMap, IntTreePMap

    public interface PMap<K,V>
    extends Map<K,V>

An immutable, persistent map from non-null keys of type K to non-null values of type V.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Method Summary

Methods
`void` `clear()` Deprecated.
`PMap<K,V>` `minus(Object key)`
`PMap<K,V>` `minusAll(Collection<?> keys)`
`PMap<K,V>` `plus(K key, V value)`
`PMap<K,V>` `plusAll(Map<? extends K,? extends V> map)`
`V` `put(K k, V v)` Deprecated.
`void` `putAll(Map<? extends K,? extends V> m)` Deprecated.
`V` `remove(Object k)` Deprecated.

### Methods inherited from interface java.util.Map

`containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, size, values`

### Method Detail

#### plus

    PMap<K,V> plus(K key,
                 V value)

Parameters:
  `key` - non-null
  `value` - non-null
Returns:
  a map with the mappings of this but with key mapped to value

#### plusAll

    PMap<K,V> plusAll(Map<? extends K,? extends V> map)

Parameters:
  `map` -
Returns:
  this combined with map, with map's mappings used for any keys in both map and this

#### minus

    PMap<K,V> minus(Object key)

Parameters:
  `key` -
Returns:
  a map with the mappings of this but with no value for key

#### minusAll

    PMap<K,V> minusAll(Collection<?> keys)

Parameters:
  `keys` -
Returns:
  a map with the mappings of this but with no value for any element of keys

#### put

    @Deprecated
    V put(K k,
                   V v)

Deprecated.

Specified by:
  `put` in interface `Map<K,V>`

#### remove

    @Deprecated
    V remove(Object k)

Deprecated.

Specified by:
  `remove` in interface `Map<K,V>`

#### putAll

    @Deprecated
    void putAll(Map<? extends K,? extends V> m)

Deprecated.

Specified by:
  `putAll` in interface `Map<K,V>`

#### clear

    @Deprecated
    void clear()

Deprecated.

Specified by:
  `clear` in interface `Map<K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015